Xapian: API Documentation: Xapian::TermIterator Class Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Xapian::TermIterator Class Reference

Class for iterating over a list of terms. More...

## Public Member Functions
| TermIterator (const TermIterator &o)
| Copy constructor.
TermIterator & | operator= (const TermIterator &o)
| Assignment.
| TermIterator ()
| Default constructor. More...
| ~TermIterator ()
| Destructor.
std::string | operator* () const
| Return the term at the current position.
Xapian::termcount | get_wdf () const
| Return the wdf for the term at the current position.
Xapian::doccount | get_termfreq () const
| Return the term frequency for the term at the current position.
Xapian::termcount | positionlist_count () const
| Return the length of the position list for the current position.
PositionIterator | positionlist_begin () const
| Return a PositionIterator for the current term.
PositionIterator | positionlist_end () const
| Return an end PositionIterator for the current term.
TermIterator & | operator++ ()
| Advance the iterator to the next position.
DerefWrapper_< std::string > | operator++ (int)
| Advance the iterator to the next position (postfix version).
void | skip_to (const std::string &term)
| Advance the iterator to term term. More...
std::string | get_description () const
| Return a string describing this object.

## Detailed Description

Class for iterating over a list of terms.

## Constructor & Destructor Documentation

Xapian::TermIterator::TermIterator | ( |  | ) |
| inline

Default constructor.

Creates an uninitialised iterator, which can't be used before being assigned to, but is sometimes syntactically convenient.

## Member Function Documentation

void Xapian::TermIterator::skip_to | ( | const std::string & | term | ) |

Advance the iterator to term term.

If the iteration is over an unsorted list of terms, then this method will throw Xapian::InvalidOperationError.

Parameters

  term | The term to advance to. If this term isn't in the stream being iterated, then the iterator is moved to the next term after it which is.

The documentation for this class was generated from the following file:

- xapian/termiterator.h